Package org.lwjgl.opengl

# Class ARBFramebufferNoAttachments

java.lang.Object
org.lwjgl.opengl.ARBFramebufferNoAttachments

public final class ARBFramebufferNoAttachments extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_HEIGHT`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_LAYERS`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_SAMPLES`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_WIDTH`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_MAX_FRAMEBUFFER_HEIGHT`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_LAYERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_SAMPLES`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_WIDTH`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferParameteri(int target, int pname, int param)`
`static void`
`glGetFramebufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetFramebufferParameteri(int target, int pname)`
Overloads glGetFramebufferParameteriv.
`static int`
`glGetNamedFramebufferParameterEXT(int framebuffer, int pname)`
Overloads glGetNamedFramebufferParameterivEXT.
`static void`
`glGetNamedFramebufferParameterEXT(int framebuffer, int pname, IntBuffer params)`
`static void`
`glNamedFramebufferParameteriEXT(int framebuffer, int pname, int param)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAMEBUFFER_DEFAULT_WIDTH

public static final int GL_FRAMEBUFFER_DEFAULT_WIDTH
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_HEIGHT

public static final int GL_FRAMEBUFFER_DEFAULT_HEIGHT
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_LAYERS

public static final int GL_FRAMEBUFFER_DEFAULT_LAYERS
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_SAMPLES

public static final int GL_FRAMEBUFFER_DEFAULT_SAMPLES
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS

public static final int GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_WIDTH

public static final int GL_MAX_FRAMEBUFFER_WIDTH
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_HEIGHT

public static final int GL_MAX_FRAMEBUFFER_HEIGHT
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_LAYERS

public static final int GL_MAX_FRAMEBUFFER_LAYERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_SAMPLES

public static final int GL_MAX_FRAMEBUFFER_SAMPLES
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glFramebufferParameteri

public static void glFramebufferParameteri(int target, int pname, int param)

### glGetFramebufferParameter

public static void glGetFramebufferParameter(int target, int pname, IntBuffer params)

### glGetFramebufferParameteri

public static int glGetFramebufferParameteri(int target, int pname)
Overloads glGetFramebufferParameteriv.

### glNamedFramebufferParameteriEXT

public static void glNamedFramebufferParameteriEXT(int framebuffer, int pname, int param)

### glGetNamedFramebufferParameterEXT

public static void glGetNamedFramebufferParameterEXT(int framebuffer, int pname, IntBuffer params)

### glGetNamedFramebufferParameterEXT

public static int glGetNamedFramebufferParameterEXT(int framebuffer, int pname)
Overloads glGetNamedFramebufferParameterivEXT.